From: <a href="/blend/av.cgi?id=1964">RebeccaBeth_88</a><BR>
Date: 17 May 2010<P>

Thank you Kirk, you are very kind. Congrats to all front pagers and all writers on this board. I am truly blessed to be among such great writers and hearts :-)<BR>
<BR>

<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 17 May 2010<P>

lovin' the May Blender!
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 17 May 2010<P>

Another nice edition Kirk, I always love being a part of it.<BR>
<BR>
Congratulations to everyone front page and keep up the great words!<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=887">Just L</a><BR>
Date: 17 May 2010<P>

Thank you for the picks, Kirk!<BR>
<BR>
Those who have found me on Facebook (Lori Bumgardner, no longer "Steger") know that I live my life very transparently; so no surprise my writing is often autobiographical;)<BR>
<BR>
Congrats to all of the May picks!
<HR>